/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysnumberinfo.entity;


import javax.validation.constraints.NotNull;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sysnumberclass.entity.SysNumberClass;

/**
 * 编码制定Entity
 * @author 丁旭
 * @version 2017-03-22
 */
public class SysNumberInfo extends DataEntity<SysNumberInfo> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 流水名称
	private String first;		// 前缀名
	private String separator;		// 分割符
	private String year;		// 年
	private String mouth;		// 月
	private String day;		// 日
	private String identifier;		// 标识符
	private String sequence;		// 序列
	private SysNumberClass sysNumberClass;		// 分类ID
	private String numLength;		// 序列长度
	private String numFirst;		// 序列起始值
	private String example;		// 示例编号
	
	public SysNumberInfo() {
		super();
	}

	public SysNumberInfo(String id){
		super(id);
	}

	@ExcelField(title="流水名称", align=2, sort=6)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="前缀名", align=2, sort=7)
	public String getFirst() {
		return first;
	}

	public void setFirst(String first) {
		this.first = first;
	}
	
	@ExcelField(title="分割符", align=2, sort=8)
	public String getSeparator() {
		return separator;
	}

	public void setSeparator(String separator) {
		this.separator = separator;
	}
	
	@ExcelField(title="年", dictType="is_yesno", align=2, sort=9)
	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}
	
	@ExcelField(title="月", dictType="is_yesno", align=2, sort=10)
	public String getMouth() {
		return mouth;
	}

	public void setMouth(String mouth) {
		this.mouth = mouth;
	}
	
	@ExcelField(title="日", dictType="is_yesno", align=2, sort=11)
	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}
	
	@ExcelField(title="标识符", align=2, sort=12)
	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}
	
	@ExcelField(title="序列", align=2, sort=13)
	public String getSequence() {
		return sequence;
	}

	public void setSequence(String sequence) {
		this.sequence = sequence;
	}
	
	
	
	
	@ExcelField(title="序列长度", align=2, sort=15)
	public String getNumLength() {
		return numLength;
	}
    
	
	@NotNull(message="分类ID不能为空")
	@ExcelField(title="分类ID", align=2, sort=14)
	public SysNumberClass getSysNumberClass() {
		return sysNumberClass;
	}

	public void setSysNumberClass(SysNumberClass sysNumberClass) {
		this.sysNumberClass = sysNumberClass;
	}

	public void setNumLength(String numLength) {
		this.numLength = numLength;
	}
	
	@ExcelField(title="序列起始值", align=2, sort=16)
	public String getNumFirst() {
		return numFirst;
	}

	public void setNumFirst(String numFirst) {
		this.numFirst = numFirst;
	}
	
	@ExcelField(title="示例编号", align=2, sort=17)
	public String getExample() {
		return example;
	}

	public void setExample(String example) {
		this.example = example;
	}
	
}